## org.eclipse.wst.server.core
Interface IPublishListener

All Known Implementing Classes:
  PublishAdapter

    public interface IPublishListener

A publish listener is used to listen for publishing events from a server. The events are typically received in the following order: publishStarted() - The publish operation is starting publishModuleStarted() - This section is fired for each module in the server publishModuleFinished() - This module is finished publishing publishModuleStarted() - The next module is publishing ... publishFinished() - The publish operation is finished

Publish listeners are added to a server via IServer.addPublishListener().

Since:
  1.0
See Also:
  `IServer`

Method Summary
`void` `publishFinished(IServer server, IStatus status)` Publishing has finished.
`void` `publishStarted(IServer server)` Fired to notify that publishing has begun.

Method Detail

### publishStarted

    void publishStarted(IServer server)

  Fired to notify that publishing has begun.

  Parameters:
    `server` - the server that publishing started on

### publishFinished

    void publishFinished(IServer server,
                         IStatus status)

  Publishing has finished. Returns the overall status.

  Parameters:
    `server` - the server that publishing finished on
    `status` - indicating what (if anything) went wrong